# OpalMixerNodeManager::UserInput Struct Reference

`#include <opalmixer.h>`

Collaboration diagram for OpalMixerNodeManager::UserInput:

[legend]

## Public Member Functions

| UserInput (const PSafePtr< OpalMixerNode > &node, const OpalMixerConnection *connection, const PString &value)
void | Work ()

## Data Fields

PSafePtr< OpalMixerNode > | m_node
const OpalMixerConnection * | m_connection
PString | m_value

## Constructor & Destructor Documentation

OpalMixerNodeManager::UserInput::UserInput | ( | const PSafePtr< OpalMixerNode > & | node,
|  | const OpalMixerConnection * | connection,
|  | const PString & | value |
| ) |  |  | `[inline]`

## Member Function Documentation

void OpalMixerNodeManager::UserInput::Work | ( |  | ) |

## Field Documentation

const OpalMixerConnection* OpalMixerNodeManager::UserInput::m_connection

PSafePtr<OpalMixerNode> OpalMixerNodeManager::UserInput::m_node

PString OpalMixerNodeManager::UserInput::m_value

The documentation for this struct was generated from the following file:

- opalmixer.h